<?php
//---------------------------------------------------------------------------
//Charactor set is UTF-8
//漢字コードはＵＴＦ－８
//---------------------------------------------------------------------------
//		axlope ver.2.0
//		PHP File Manager
//		(C)Copyright 2007,08,09 , Yoshimiti ENDOU All right reserved.
//---------------------------------------------------------------------------
//	ver.2.0		2009/11/17		全面改定
//								urlencodeを使わずに、mb_convert_encodingを使いOSの文字コードのままファイルを管理するようにした
//								axlope ver.1.xとの互換性は全くない
//								jpg,gif,png,txtを表示可能、txtを編集可能にした。
//								jQuery ver.1.3.2 , jQueryTreeView ver.1.4 を利用
//	ver.1.4		2009/07/06		同名ファイルを上書きするかどうかを、アップロードダイアローグで選択できるようにした。
//	ver.1.3		2009/06/01		同じファイル名をアップロードしたときの添え字を (n) から -n に変更した
//				2009/04/21		ディレクトリ選択ダイアローグでツリーを展開しないようにした
//								ディレクトリ情報送信ルーチンで<ul>が１つ多いバグを修正
//								jQuery(1.1.3.1)とjQueryTreeView(1.2)は最新バージョンではない（最新バージョンでは動かない）
//								ver.1.2は欠番
//	ver.1.1		2008/03/01		ファイルダウンロード時に、ファイルサイズを送信するようにした
//								上書きモードを追加した
//								名前変更ダイアローグに現在の名前を設定して表示するようにした
//	ver.1.0		2007/08/25		初期バージョン
//								ルートディレクトリの扱いに混乱が見られる
//---------------------------------------------------------------------------
error_reporting(E_ALL);						//デバッグ時のエラーレベル
//error_reporting(E_ALL ^ E_NOTICE);		//実行時のエラーレベル
//---------------------------------------------------------------------------
require('conf/conf.inc');					//初期設定入力
require('prog/msg.' . $gLang . '.inc');		//メッセージ読み込み
//---------------------------------------------------------------------------
if(isset($gTimeZone)) date_default_timezone_set($gTimeZone);	//xampp では date.timezone の設定がしてなかった
											//(PHP 5 >= 5.1.0)からタイムゾーンの設定がないとE_NOTICEを出す

require('prog/axlope01.inc');EncodeData();	//入力データの文字コードをOSが使用する文字コードにコンバートする
//---------------------------------------------------------------------------
//コマンドディスパッチルーチン
if(! (isset($_GET['nCmd']) || isset($_POST['nCmd']))) {	//コマンドがない場合
	require('prog/axlope02.inc');ListFiles('/');
	exit;
}

if(isset($_GET['nCmd'])) {		//GETでコマンドが渡されたとき。別枠ウインドウを利用する
	switch($_GET['nCmd']) {
		case 'ViewText':	require('prog/axlope06.inc');ViewText();break;							//テキストファイルを別ウインドウで表示
		case 'ViewImage':	require('prog/axlope06.inc');ViewImage();break;							//画像ファイルを別ウインドウで表示
		case 'SendImage':	require('prog/axlope06.inc');SendImage();break;							//画像データを送る
		case 'EditText':	require('prog/axlope07.inc');EditText();break;							//テキストファイルを編集するために別ウインドウで表示
		default :			printf($gMsg['UndefinedCmd_GET'],$_GET['nCmd']);						//コマンドが不明なとき
	}
	exit;
}

if(isset($_POST['nCmd'])) {		//POSTでコマンドが渡されたとき
	switch($_POST['nCmd']) {
		case 'DirTree':		require('prog/axlope03.inc');SendDirDlog();break;						//ディレクトリーツリー情報を返す
		case 'ChDir':		require('prog/axlope02.inc');ListFiles($_POST['nSelDir']);break;		//ディレクトリ移動
		case 'MkDir':		require('prog/axlope04.inc');MakeDirectory();							//ディレクトリを作る
							require('prog/axlope02.inc');ListFiles($_POST['nDir']);break;
		case 'UpLoad':		require('prog/axlope05.inc');UpLoadFiles();UpLoadResult();break;		//アップロード処理
		case 'IsVisible':	require('prog/axlope06.inc');IsVisible();break;							//ファイルを表示できるかどうか
		case 'IsText':		require('prog/axlope07.inc');IsText();break;							//ファイルを編集できるかどうか
		case 'UpdateText':	require('prog/axlope07.inc');UpdateText();break;						//テキストファイルを更新する
		case 'CopyFiles':	require('prog/axlope08.inc');CopyFiles();CopyDirs();					//ディレクトリとファイルを複写する
							require('prog/axlope02.inc');ListFiles($_POST['nDir']);break;
		case 'MoveFiles':	require('prog/axlope09.inc');MoveFiles();MoveDirs();					//ディレクトリとファイルを移動する
							require('prog/axlope02.inc');ListFiles($_POST['nDir']);break;
		case 'Delete':		require('prog/axlope10.inc');Delete();									//ディレクトリとファイルを削除する
							require('prog/axlope02.inc');ListFiles($_POST['nDir']);break;
		case 'Ren':			require('prog/axlope11.inc');ChangeName();								//ディレクトリやファイルの名前を変える
							require('prog/axlope02.inc');ListFiles($_POST['nDir']);break;
		case 'About':		require('prog/axlope12.inc');About();break;								//このソフトについて
		case 'DownLoad':	require('prog/axlope13.inc');DownLoad();break;							//ファイルをサーバーから送信する
		case 'Sort':		require('prog/axlope14.inc');SetSort();									//ソートするためのクッキーを設定する
							require('prog/axlope02.inc');ListFiles($_POST['nDir']);break;
		default :			include("prog/html01.inc");												//コマンドが不明なとき
							printf($gMsg['UndefinedCmd_POST'] ,$_POST['nCmd']);
							include("prog/html04.inc");
	}
}
//---------------------------------------------------------------------------
?>
